Skip to main content

Merchant-Initiated Sale for Discover Debt Recovery


Use this information to process a merchant-initiated sale for Discover debt recovery with card data.

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

Example

{    "clientReferenceInformation": {        "code": "123456",        "comments": "MIT Debt recovery for Discover",        "transactionId": "1581515492",        "partner": {            "solutionId": "123456",            "thirdPartyCertificationNumber": "123456789012"        }    },    "processingInformation": {        "reconciliationId": "6514890316826935604951",        "commerceIndicator": "moto",        "industryDataType": "transit",        "capture": "true",        "authorizationOptions": {            "partialAuthIndicator": "false",            "deferredAuthIndicator": "false",            "aggregatedAuthIndicator": "false",            "debtRecoveryIndicator": "true",            "ignoreAvsResult": "true",            "ignoreCvResult": "true"        }    },    "initiator": {        "merchantInitiatedTransaction": {            "previousTransactionId": "305128510901924"        }    },    "orderInformation": {        "amountDetails": {            "totalAmount": "16.00",            "currency": "USD"        }    },    "paymentInformation": {        "card": {            "type": "004",            "number": "6xxxxxxxxxxx0810",            "expirationYear": "2023",            "expirationMonth": "12"        }    }}
{    "_links": {        "void": {            "method": "POST",            "href": "/pts/v2/payments/7467135408716514904807/voids"        },        "self": {            "method": "GET",            "href": "/pts/v2/payments/7467135408716514904807"        }    },    "clientReferenceInformation": {        "code": "123456",        "comments": "MIT Debt recovery for Discover",        "partner": {            "solutionId": "123456"        },        "transactionId": "1581515492"    },    "id": "7467135408716514904807",    "orderInformation": {        "amountDetails": {            "totalAmount": "16.00",            "authorizedAmount": "16.00",            "currency": "USD"        }    },    "paymentAccountInformation": {        "card": {            "type": "004"        }    },    "paymentInformation": {        "accountFeatures": {            "category": "DI",            "group": "0"        },        "tokenizedCard": {            "type": "004"        },        "card": {            "type": "004"        }    },    "processorInformation": {        "systemTraceAuditNumber": "039454",        "approvalCode": "842703",        "cardReferenceData": "00",        "networkTransactionId": "VISJ      305128511412635",        "settlementDate": "5138",        "retrievalReferenceNumber": "512814039454",        "consumerAuthenticationResponse": {            "code": "0",            "codeRaw": "0"        },        "transactionId": "VISJ      305128511412635",        "responseCode": "00",        "avs": {            "code": "1"        }    },    "reconciliationId": "7467135408716514904807",    "status": "AUTHORIZED",    "submitTimeUtc": "2025-05-08T14:12:21Z",    "tokenInformation": {        "additionalInformation": "0"    }}
FieldTypeDescription
clientReferenceInformation.code
clientReferenceInformation.commentsSet this field to MIT Debt recovery for Discover.
clientReferenceInformation.partner.solutionId provides the value for this field.
clientReferenceInformation.partner.thirdPartyCertificationNumber provides the value for this field.
clientReferenceInformation.transactionId
orderInformation.amountDetails.currency
orderInformation.amountDetails.totalAmount
paymentInformation.card.expirationMonth
paymentInformation.card.expirationYear
paymentInformation.card.number
paymentInformation.card.type
processingInformation.authorizationOptions.debtRecoveryIndicatorSet this field to true.
processingInformation.authorizationOptions.ignoreAvsResultSet this field to true.
processingInformation.authorizationOptions.ignoreCvResultSet this field to true.
processingInformation.authorizationOptions.initiator.merchantInitiatedTransaction.previousTransactionId
processingInformation.captureSet this field to true.
processingInformation.commerceIndicator
processingInformation.industryDataTypeSet this field to transit.

Last published: September 29, 2026